Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.ebxml._3._0.query.impl
Class DocumentRootImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.ohf.ihe.common.ebxml._3._0.query.impl.DocumentRootImpl

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject, DocumentRoot

    public class DocumentRootImpl

extends org.eclipse.emf.ecore.impl.EObjectImpl
implements DocumentRoot

An implementation of the model object 'Document Root'.

The following features are implemented:

- `Mixed`
- `XMLNS Prefix Map`
- `XSI Schema Location`
- `Adhoc Query Query`
- `Adhoc Query Request`
- `Adhoc Query Response`
- `Association Query`
- `Auditable Event Query`
- `Boolean Filter`
- `Classification Node Query`
- `Classification Query`
- `Classification Scheme Query`
- `Compound Filter`
- `Date Time Filter`
- `External Identifier Query`
- `External Link Query`
- `Extrinsic Object Query`
- `Federation Query`
- `Filter`
- `Float Filter`
- `Integer Filter`
- `Notification Query`
- `Organization Query`
- `Registry Object Query`
- `Registry Package Query`
- `Registry Query`
- `Response Option`
- `Service Binding Query`
- `Service Query`
- `Specification Link Query`
- `String Filter`
- `Subscription Query`
- `User Query`

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`ELAST_EOBJECT_FLAG`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Method Summary
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetAdhocQueryQuery(AdhocQueryQueryType newAdhocQueryQuery, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetAdhocQueryRequest(AdhocQueryRequestType newAdhocQueryRequest, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetAdhocQueryResponse(AdhocQueryResponseType newAdhocQueryResponse, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetAssociationQuery(RegistryObjectQueryType newAssociationQuery, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetAuditableEventQuery(AuditableEventQueryType newAuditableEventQuery, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetBooleanFilter(BooleanFilterType newBooleanFilter, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetClassificationNodeQuery(ClassificationNodeQueryType newClassificationNodeQuery, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetClassificationQuery(ClassificationQueryType newClassificationQuery, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetClassificationSchemeQuery(ClassificationSchemeQueryType newClassificationSchemeQuery, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetCompoundFilter(CompoundFilterType newCompoundFilter, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetDateTimeFilter(DateTimeFilterType newDateTimeFilter, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetExternalIdentifierQuery(ExternalIdentifierQueryType newExternalIdentifierQuery, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetExternalLinkQuery(ExternalLinkQueryType newExternalLinkQuery, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetExtrinsicObjectQuery(ExtrinsicObjectQueryType newExtrinsicObjectQuery, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetFederationQuery(FederationQueryType newFederationQuery, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetFilter(FilterType newFilter, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetFloatFilter(FloatFilterType newFloatFilter, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetIntegerFilter(IntegerFilterType newIntegerFilter, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetNotificationQuery(NotificationQueryType newNotificationQuery, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetOrganizationQuery(OrganizationQueryType newOrganizationQuery, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetRegistryObjectQuery(RegistryObjectQueryType newRegistryObjectQuery, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetRegistryPackageQuery(RegistryPackageQueryType newRegistryPackageQuery, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetRegistryQuery(RegistryQueryType newRegistryQuery, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetResponseOption(ResponseOptionType newResponseOption, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetServiceBindingQuery(ServiceBindingQueryType newServiceBindingQuery, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetServiceQuery(ServiceQueryType newServiceQuery, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetSpecificationLinkQuery(SpecificationLinkQueryType newSpecificationLinkQuery, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetStringFilter(StringFilterType newStringFilter, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetSubscriptionQuery(SubscriptionQueryType newSubscriptionQuery, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetUserQuery(UserQueryType newUserQuery, org.eclipse.emf.common.notify.NotificationChain msgs)`
`java.lang.Object` | `eGet(int featureID, boolean resolve, boolean coreType)`
`org.eclipse.emf.common.notify.NotificationChain` | `eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`boolean` | `eIsSet(int featureID)`
`void` | `eSet(int featureID, java.lang.Object newValue)`
`void` | `eUnset(int featureID)`
`AdhocQueryQueryType` | `getAdhocQueryQuery()`
`AdhocQueryRequestType` | `getAdhocQueryRequest()`
`AdhocQueryResponseType` | `getAdhocQueryResponse()`
`RegistryObjectQueryType` | `getAssociationQuery()`
`AuditableEventQueryType` | `getAuditableEventQuery()`
`BooleanFilterType` | `getBooleanFilter()`
`ClassificationNodeQueryType` | `getClassificationNodeQuery()`
`ClassificationQueryType` | `getClassificationQuery()`
`ClassificationSchemeQueryType` | `getClassificationSchemeQuery()`
`CompoundFilterType` | `getCompoundFilter()`
`DateTimeFilterType` | `getDateTimeFilter()`
`ExternalIdentifierQueryType` | `getExternalIdentifierQuery()`
`ExternalLinkQueryType` | `getExternalLinkQuery()`
`ExtrinsicObjectQueryType` | `getExtrinsicObjectQuery()`
`FederationQueryType` | `getFederationQuery()`
`FilterType` | `getFilter()`
`FloatFilterType` | `getFloatFilter()`
`IntegerFilterType` | `getIntegerFilter()`
`org.eclipse.emf.ecore.util.FeatureMap` | `getMixed()`
`NotificationQueryType` | `getNotificationQuery()`
`OrganizationQueryType` | `getOrganizationQuery()`
`RegistryObjectQueryType` | `getRegistryObjectQuery()`
`RegistryPackageQueryType` | `getRegistryPackageQuery()`
`RegistryQueryType` | `getRegistryQuery()`
`ResponseOptionType` | `getResponseOption()`
`ServiceBindingQueryType` | `getServiceBindingQuery()`
`ServiceQueryType` | `getServiceQuery()`
`SpecificationLinkQueryType` | `getSpecificationLinkQuery()`
`StringFilterType` | `getStringFilter()`
`SubscriptionQueryType` | `getSubscriptionQuery()`
`UserQueryType` | `getUserQuery()`
`org.eclipse.emf.common.util.EMap` | `getXMLNSPrefixMap()`
`org.eclipse.emf.common.util.EMap` | `getXSISchemaLocation()`
`void` | `setAdhocQueryQuery(AdhocQueryQueryType newAdhocQueryQuery)`
`void` | `setAdhocQueryRequest(AdhocQueryRequestType newAdhocQueryRequest)`
`void` | `setAdhocQueryResponse(AdhocQueryResponseType newAdhocQueryResponse)`
`void` | `setAssociationQuery(RegistryObjectQueryType newAssociationQuery)`
`void` | `setAuditableEventQuery(AuditableEventQueryType newAuditableEventQuery)`
`void` | `setBooleanFilter(BooleanFilterType newBooleanFilter)`
`void` | `setClassificationNodeQuery(ClassificationNodeQueryType newClassificationNodeQuery)`
`void` | `setClassificationQuery(ClassificationQueryType newClassificationQuery)`
`void` | `setClassificationSchemeQuery(ClassificationSchemeQueryType newClassificationSchemeQuery)`
`void` | `setCompoundFilter(CompoundFilterType newCompoundFilter)`
`void` | `setDateTimeFilter(DateTimeFilterType newDateTimeFilter)`
`void` | `setExternalIdentifierQuery(ExternalIdentifierQueryType newExternalIdentifierQuery)`
`void` | `setExternalLinkQuery(ExternalLinkQueryType newExternalLinkQuery)`
`void` | `setExtrinsicObjectQuery(ExtrinsicObjectQueryType newExtrinsicObjectQuery)`
`void` | `setFederationQuery(FederationQueryType newFederationQuery)`
`void` | `setFloatFilter(FloatFilterType newFloatFilter)`
`void` | `setIntegerFilter(IntegerFilterType newIntegerFilter)`
`void` | `setNotificationQuery(NotificationQueryType newNotificationQuery)`
`void` | `setOrganizationQuery(OrganizationQueryType newOrganizationQuery)`
`void` | `setRegistryObjectQuery(RegistryObjectQueryType newRegistryObjectQuery)`
`void` | `setRegistryPackageQuery(RegistryPackageQueryType newRegistryPackageQuery)`
`void` | `setRegistryQuery(RegistryQueryType newRegistryQuery)`
`void` | `setResponseOption(ResponseOptionType newResponseOption)`
`void` | `setServiceBindingQuery(ServiceBindingQueryType newServiceBindingQuery)`
`void` | `setServiceQuery(ServiceQueryType newServiceQuery)`
`void` | `setSpecificationLinkQuery(SpecificationLinkQueryType newSpecificationLinkQuery)`
`void` | `setStringFilter(StringFilterType newStringFilter)`
`void` | `setSubscriptionQuery(SubscriptionQueryType newSubscriptionQuery)`
`void` | `setUserQuery(UserQueryType newUserQuery)`
`java.lang.String` | `toString()`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eIsProxy, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eURIFragmentSegment, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Method Detail

### getMixed

    public org.eclipse.emf.ecore.util.FeatureMap getMixed()

  Specified by:
    `getMixed` in interface `DocumentRoot`
  Returns:
    the value of the 'Mixed' attribute list.
  See Also:
    `QueryPackage.getDocumentRoot_Mixed()`

### getXMLNSPrefixMap

    public org.eclipse.emf.common.util.EMap getXMLNSPrefixMap()

  Specified by:
    `getXMLNSPrefixMap` in interface `DocumentRoot`
  Returns:
    the value of the 'XMLNS Prefix Map' map.
  See Also:
    `QueryPackage.getDocumentRoot_XMLNSPrefixMap()`

### getXSISchemaLocation

    public org.eclipse.emf.common.util.EMap getXSISchemaLocation()

  Specified by:
    `getXSISchemaLocation` in interface `DocumentRoot`
  Returns:
    the value of the 'XSI Schema Location' map.
  See Also:
    `QueryPackage.getDocumentRoot_XSISchemaLocation()`

### getAdhocQueryQuery

    public AdhocQueryQueryType getAdhocQueryQuery()

  Specified by:
    `getAdhocQueryQuery` in interface `DocumentRoot`
  Returns:
    the value of the 'Adhoc Query Query' containment reference.
  See Also:
    `DocumentRoot.setAdhocQueryQuery(AdhocQueryQueryType)`, `QueryPackage.getDocumentRoot_AdhocQueryQuery()`

### basicSetAdhocQueryQuery

    public org.eclipse.emf.common.notify.NotificationChain basicSetAdhocQueryQuery(AdhocQueryQueryType newAdhocQueryQuery,
                                                                                   org.eclipse.emf.common.notify.NotificationChain msgs)

### setAdhocQueryQuery

    public void setAdhocQueryQuery(AdhocQueryQueryType newAdhocQueryQuery)

  Specified by:
    `setAdhocQueryQuery` in interface `DocumentRoot`
  Parameters:
    `newAdhocQueryQuery` - the new value of the 'Adhoc Query Query' containment reference.
  See Also:
    `DocumentRoot.getAdhocQueryQuery()`

### getAdhocQueryRequest

    public AdhocQueryRequestType getAdhocQueryRequest()

  Specified by:
    `getAdhocQueryRequest` in interface `DocumentRoot`
  Returns:
    the value of the 'Adhoc Query Request' containment reference.
  See Also:
    `DocumentRoot.setAdhocQueryRequest(AdhocQueryRequestType)`, `QueryPackage.getDocumentRoot_AdhocQueryRequest()`

### basicSetAdhocQueryRequest

    public org.eclipse.emf.common.notify.NotificationChain basicSetAdhocQueryRequest(AdhocQueryRequestType newAdhocQueryRequest,
                                                                                     org.eclipse.emf.common.notify.NotificationChain msgs)

### setAdhocQueryRequest

    public void setAdhocQueryRequest(AdhocQueryRequestType newAdhocQueryRequest)

  Specified by:
    `setAdhocQueryRequest` in interface `DocumentRoot`
  Parameters:
    `newAdhocQueryRequest` - the new value of the 'Adhoc Query Request' containment reference.
  See Also:
    `DocumentRoot.getAdhocQueryRequest()`

### getAdhocQueryResponse

    public AdhocQueryResponseType getAdhocQueryResponse()

  Specified by:
    `getAdhocQueryResponse` in interface `DocumentRoot`
  Returns:
    the value of the 'Adhoc Query Response' containment reference.
  See Also:
    `DocumentRoot.setAdhocQueryResponse(AdhocQueryResponseType)`, `QueryPackage.getDocumentRoot_AdhocQueryResponse()`

### basicSetAdhocQueryResponse

    public org.eclipse.emf.common.notify.NotificationChain basicSetAdhocQueryResponse(AdhocQueryResponseType newAdhocQueryResponse,
                                                                                      org.eclipse.emf.common.notify.NotificationChain msgs)

### setAdhocQueryResponse

    public void setAdhocQueryResponse(AdhocQueryResponseType newAdhocQueryResponse)

  Specified by:
    `setAdhocQueryResponse` in interface `DocumentRoot`
  Parameters:
    `newAdhocQueryResponse` - the new value of the 'Adhoc Query Response' containment reference.
  See Also:
    `DocumentRoot.getAdhocQueryResponse()`

### getAssociationQuery

    public RegistryObjectQueryType getAssociationQuery()

  Specified by:
    `getAssociationQuery` in interface `DocumentRoot`
  Returns:
    the value of the 'Association Query' containment reference.
  See Also:
    `DocumentRoot.setAssociationQuery(RegistryObjectQueryType)`, `QueryPackage.getDocumentRoot_AssociationQuery()`

### basicSetAssociationQuery

    public org.eclipse.emf.common.notify.NotificationChain basicSetAssociationQuery(RegistryObjectQueryType newAssociationQuery,
                                                                                    org.eclipse.emf.common.notify.NotificationChain msgs)

### setAssociationQuery

    public void setAssociationQuery(RegistryObjectQueryType newAssociationQuery)

  Specified by:
    `setAssociationQuery` in interface `DocumentRoot`
  Parameters:
    `newAssociationQuery` - the new value of the 'Association Query' containment reference.
  See Also:
    `DocumentRoot.getAssociationQuery()`

### getAuditableEventQuery

    public AuditableEventQueryType getAuditableEventQuery()

  Specified by:
    `getAuditableEventQuery` in interface `DocumentRoot`
  Returns:
    the value of the 'Auditable Event Query' containment reference.
  See Also:
    `DocumentRoot.setAuditableEventQuery(AuditableEventQueryType)`, `QueryPackage.getDocumentRoot_AuditableEventQuery()`

### basicSetAuditableEventQuery

    public org.eclipse.emf.common.notify.NotificationChain basicSetAuditableEventQuery(AuditableEventQueryType newAuditableEventQuery,
                                                                                       org.eclipse.emf.common.notify.NotificationChain msgs)

### setAuditableEventQuery

    public void setAuditableEventQuery(AuditableEventQueryType newAuditableEventQuery)

  Specified by:
    `setAuditableEventQuery` in interface `DocumentRoot`
  Parameters:
    `newAuditableEventQuery` - the new value of the 'Auditable Event Query' containment reference.
  See Also:
    `DocumentRoot.getAuditableEventQuery()`

### getBooleanFilter

    public BooleanFilterType getBooleanFilter()

  Specified by:
    `getBooleanFilter` in interface `DocumentRoot`
  Returns:
    the value of the 'Boolean Filter' containment reference.
  See Also:
    `DocumentRoot.setBooleanFilter(BooleanFilterType)`, `QueryPackage.getDocumentRoot_BooleanFilter()`

### basicSetBooleanFilter

    public org.eclipse.emf.common.notify.NotificationChain basicSetBooleanFilter(BooleanFilterType newBooleanFilter,
                                                                                 org.eclipse.emf.common.notify.NotificationChain msgs)

### setBooleanFilter

    public void setBooleanFilter(BooleanFilterType newBooleanFilter)

  Specified by:
    `setBooleanFilter` in interface `DocumentRoot`
  Parameters:
    `newBooleanFilter` - the new value of the 'Boolean Filter' containment reference.
  See Also:
    `DocumentRoot.getBooleanFilter()`

### getClassificationNodeQuery

    public ClassificationNodeQueryType getClassificationNodeQuery()

  Specified by:
    `getClassificationNodeQuery` in interface `DocumentRoot`
  Returns:
    the value of the 'Classification Node Query' containment reference.
  See Also:
    `DocumentRoot.setClassificationNodeQuery(ClassificationNodeQueryType)`, `QueryPackage.getDocumentRoot_ClassificationNodeQuery()`

### basicSetClassificationNodeQuery

    public org.eclipse.emf.common.notify.NotificationChain basicSetClassificationNodeQuery(ClassificationNodeQueryType newClassificationNodeQuery,
                                                                                           org.eclipse.emf.common.notify.NotificationChain msgs)

### setClassificationNodeQuery

    public void setClassificationNodeQuery(ClassificationNodeQueryType newClassificationNodeQuery)

  Specified by:
    `setClassificationNodeQuery` in interface `DocumentRoot`
  Parameters:
    `newClassificationNodeQuery` - the new value of the 'Classification Node Query' containment reference.
  See Also:
    `DocumentRoot.getClassificationNodeQuery()`

### getClassificationQuery

    public ClassificationQueryType getClassificationQuery()

  Specified by:
    `getClassificationQuery` in interface `DocumentRoot`
  Returns:
    the value of the 'Classification Query' containment reference.
  See Also:
    `DocumentRoot.setClassificationQuery(ClassificationQueryType)`, `QueryPackage.getDocumentRoot_ClassificationQuery()`

### basicSetClassificationQuery

    public org.eclipse.emf.common.notify.NotificationChain basicSetClassificationQuery(ClassificationQueryType newClassificationQuery,
                                                                                       org.eclipse.emf.common.notify.NotificationChain msgs)

### setClassificationQuery

    public void setClassificationQuery(ClassificationQueryType newClassificationQuery)

  Specified by:
    `setClassificationQuery` in interface `DocumentRoot`
  Parameters:
    `newClassificationQuery` - the new value of the 'Classification Query' containment reference.
  See Also:
    `DocumentRoot.getClassificationQuery()`

### getClassificationSchemeQuery

    public ClassificationSchemeQueryType getClassificationSchemeQuery()

  Specified by:
    `getClassificationSchemeQuery` in interface `DocumentRoot`
  Returns:
    the value of the 'Classification Scheme Query' containment reference.
  See Also:
    `DocumentRoot.setClassificationSchemeQuery(ClassificationSchemeQueryType)`, `QueryPackage.getDocumentRoot_ClassificationSchemeQuery()`

### basicSetClassificationSchemeQuery

    public org.eclipse.emf.common.notify.NotificationChain basicSetClassificationSchemeQuery(ClassificationSchemeQueryType newClassificationSchemeQuery,
                                                                                             org.eclipse.emf.common.notify.NotificationChain msgs)

### setClassificationSchemeQuery

    public void setClassificationSchemeQuery(ClassificationSchemeQueryType newClassificationSchemeQuery)

  Specified by:
    `setClassificationSchemeQuery` in interface `DocumentRoot`
  Parameters:
    `newClassificationSchemeQuery` - the new value of the 'Classification Scheme Query' containment reference.
  See Also:
    `DocumentRoot.getClassificationSchemeQuery()`

### getCompoundFilter

    public CompoundFilterType getCompoundFilter()

  Specified by:
    `getCompoundFilter` in interface `DocumentRoot`
  Returns:
    the value of the 'Compound Filter' containment reference.
  See Also:
    `DocumentRoot.setCompoundFilter(CompoundFilterType)`, `QueryPackage.getDocumentRoot_CompoundFilter()`

### basicSetCompoundFilter

    public org.eclipse.emf.common.notify.NotificationChain basicSetCompoundFilter(CompoundFilterType newCompoundFilter,
                                                                                  org.eclipse.emf.common.notify.NotificationChain msgs)

### setCompoundFilter

    public void setCompoundFilter(CompoundFilterType newCompoundFilter)

  Specified by:
    `setCompoundFilter` in interface `DocumentRoot`
  Parameters:
    `newCompoundFilter` - the new value of the 'Compound Filter' containment reference.
  See Also:
    `DocumentRoot.getCompoundFilter()`

### getDateTimeFilter

    public DateTimeFilterType getDateTimeFilter()

  Specified by:
    `getDateTimeFilter` in interface `DocumentRoot`
  Returns:
    the value of the 'Date Time Filter' containment reference.
  See Also:
    `DocumentRoot.setDateTimeFilter(DateTimeFilterType)`, `QueryPackage.getDocumentRoot_DateTimeFilter()`

### basicSetDateTimeFilter

    public org.eclipse.emf.common.notify.NotificationChain basicSetDateTimeFilter(DateTimeFilterType newDateTimeFilter,
                                                                                  org.eclipse.emf.common.notify.NotificationChain msgs)

### setDateTimeFilter

    public void setDateTimeFilter(DateTimeFilterType newDateTimeFilter)

  Specified by:
    `setDateTimeFilter` in interface `DocumentRoot`
  Parameters:
    `newDateTimeFilter` - the new value of the 'Date Time Filter' containment reference.
  See Also:
    `DocumentRoot.getDateTimeFilter()`

### getExternalIdentifierQuery

    public ExternalIdentifierQueryType getExternalIdentifierQuery()

  Specified by:
    `getExternalIdentifierQuery` in interface `DocumentRoot`
  Returns:
    the value of the 'External Identifier Query' containment reference.
  See Also:
    `DocumentRoot.setExternalIdentifierQuery(ExternalIdentifierQueryType)`, `QueryPackage.getDocumentRoot_ExternalIdentifierQuery()`

### basicSetExternalIdentifierQuery

    public org.eclipse.emf.common.notify.NotificationChain basicSetExternalIdentifierQuery(ExternalIdentifierQueryType newExternalIdentifierQuery,
                                                                                           org.eclipse.emf.common.notify.NotificationChain msgs)

### setExternalIdentifierQuery

    public void setExternalIdentifierQuery(ExternalIdentifierQueryType newExternalIdentifierQuery)

  Specified by:
    `setExternalIdentifierQuery` in interface `DocumentRoot`
  Parameters:
    `newExternalIdentifierQuery` - the new value of the 'External Identifier Query' containment reference.
  See Also:
    `DocumentRoot.getExternalIdentifierQuery()`

### getExternalLinkQuery

    public ExternalLinkQueryType getExternalLinkQuery()

  Specified by:
    `getExternalLinkQuery` in interface `DocumentRoot`
  Returns:
    the value of the 'External Link Query' containment reference.
  See Also:
    `DocumentRoot.setExternalLinkQuery(ExternalLinkQueryType)`, `QueryPackage.getDocumentRoot_ExternalLinkQuery()`

### basicSetExternalLinkQuery

    public org.eclipse.emf.common.notify.NotificationChain basicSetExternalLinkQuery(ExternalLinkQueryType newExternalLinkQuery,
                                                                                     org.eclipse.emf.common.notify.NotificationChain msgs)

### setExternalLinkQuery

    public void setExternalLinkQuery(ExternalLinkQueryType newExternalLinkQuery)

  Specified by:
    `setExternalLinkQuery` in interface `DocumentRoot`
  Parameters:
    `newExternalLinkQuery` - the new value of the 'External Link Query' containment reference.
  See Also:
    `DocumentRoot.getExternalLinkQuery()`

### getExtrinsicObjectQuery

    public ExtrinsicObjectQueryType getExtrinsicObjectQuery()

  Specified by:
    `getExtrinsicObjectQuery` in interface `DocumentRoot`
  Returns:
    the value of the 'Extrinsic Object Query' containment reference.
  See Also:
    `DocumentRoot.setExtrinsicObjectQuery(ExtrinsicObjectQueryType)`, `QueryPackage.getDocumentRoot_ExtrinsicObjectQuery()`

### basicSetExtrinsicObjectQuery

    public org.eclipse.emf.common.notify.NotificationChain basicSetExtrinsicObjectQuery(ExtrinsicObjectQueryType newExtrinsicObjectQuery,
                                                                                        org.eclipse.emf.common.notify.NotificationChain msgs)

### setExtrinsicObjectQuery

    public void setExtrinsicObjectQuery(ExtrinsicObjectQueryType newExtrinsicObjectQuery)

  Specified by:
    `setExtrinsicObjectQuery` in interface `DocumentRoot`
  Parameters:
    `newExtrinsicObjectQuery` - the new value of the 'Extrinsic Object Query' containment reference.
  See Also:
    `DocumentRoot.getExtrinsicObjectQuery()`

### getFederationQuery

    public FederationQueryType getFederationQuery()

  Specified by:
    `getFederationQuery` in interface `DocumentRoot`
  Returns:
    the value of the 'Federation Query' containment reference.
  See Also:
    `DocumentRoot.setFederationQuery(FederationQueryType)`, `QueryPackage.getDocumentRoot_FederationQuery()`

### basicSetFederationQuery

    public org.eclipse.emf.common.notify.NotificationChain basicSetFederationQuery(FederationQueryType newFederationQuery,
                                                                                   org.eclipse.emf.common.notify.NotificationChain msgs)

### setFederationQuery

    public void setFederationQuery(FederationQueryType newFederationQuery)

  Specified by:
    `setFederationQuery` in interface `DocumentRoot`
  Parameters:
    `newFederationQuery` - the new value of the 'Federation Query' containment reference.
  See Also:
    `DocumentRoot.getFederationQuery()`

### getFilter

    public FilterType getFilter()

  Specified by:
    `getFilter` in interface `DocumentRoot`
  Returns:
    the value of the 'Filter' containment reference.
  See Also:
    `QueryPackage.getDocumentRoot_Filter()`

### basicSetFilter

    public org.eclipse.emf.common.notify.NotificationChain basicSetFilter(FilterType newFilter,
                                                                          org.eclipse.emf.common.notify.NotificationChain msgs)

### getFloatFilter

    public FloatFilterType getFloatFilter()

  Specified by:
    `getFloatFilter` in interface `DocumentRoot`
  Returns:
    the value of the 'Float Filter' containment reference.
  See Also:
    `DocumentRoot.setFloatFilter(FloatFilterType)`, `QueryPackage.getDocumentRoot_FloatFilter()`

### basicSetFloatFilter

    public org.eclipse.emf.common.notify.NotificationChain basicSetFloatFilter(FloatFilterType newFloatFilter,
                                                                               org.eclipse.emf.common.notify.NotificationChain msgs)

### setFloatFilter

    public void setFloatFilter(FloatFilterType newFloatFilter)

  Specified by:
    `setFloatFilter` in interface `DocumentRoot`
  Parameters:
    `newFloatFilter` - the new value of the 'Float Filter' containment reference.
  See Also:
    `DocumentRoot.getFloatFilter()`

### getIntegerFilter

    public IntegerFilterType getIntegerFilter()

  Specified by:
    `getIntegerFilter` in interface `DocumentRoot`
  Returns:
    the value of the 'Integer Filter' containment reference.
  See Also:
    `DocumentRoot.setIntegerFilter(IntegerFilterType)`, `QueryPackage.getDocumentRoot_IntegerFilter()`

### basicSetIntegerFilter

    public org.eclipse.emf.common.notify.NotificationChain basicSetIntegerFilter(IntegerFilterType newIntegerFilter,
                                                                                 org.eclipse.emf.common.notify.NotificationChain msgs)

### setIntegerFilter

    public void setIntegerFilter(IntegerFilterType newIntegerFilter)

  Specified by:
    `setIntegerFilter` in interface `DocumentRoot`
  Parameters:
    `newIntegerFilter` - the new value of the 'Integer Filter' containment reference.
  See Also:
    `DocumentRoot.getIntegerFilter()`

### getNotificationQuery

    public NotificationQueryType getNotificationQuery()

  Specified by:
    `getNotificationQuery` in interface `DocumentRoot`
  Returns:
    the value of the 'Notification Query' containment reference.
  See Also:
    `DocumentRoot.setNotificationQuery(NotificationQueryType)`, `QueryPackage.getDocumentRoot_NotificationQuery()`

### basicSetNotificationQuery

    public org.eclipse.emf.common.notify.NotificationChain basicSetNotificationQuery(NotificationQueryType newNotificationQuery,
                                                                                     org.eclipse.emf.common.notify.NotificationChain msgs)

### setNotificationQuery

    public void setNotificationQuery(NotificationQueryType newNotificationQuery)

  Specified by:
    `setNotificationQuery` in interface `DocumentRoot`
  Parameters:
    `newNotificationQuery` - the new value of the 'Notification Query' containment reference.
  See Also:
    `DocumentRoot.getNotificationQuery()`

### getOrganizationQuery

    public OrganizationQueryType getOrganizationQuery()

  Specified by:
    `getOrganizationQuery` in interface `DocumentRoot`
  Returns:
    the value of the 'Organization Query' containment reference.
  See Also:
    `DocumentRoot.setOrganizationQuery(OrganizationQueryType)`, `QueryPackage.getDocumentRoot_OrganizationQuery()`

### basicSetOrganizationQuery

    public org.eclipse.emf.common.notify.NotificationChain basicSetOrganizationQuery(OrganizationQueryType newOrganizationQuery,
                                                                                     org.eclipse.emf.common.notify.NotificationChain msgs)

### setOrganizationQuery

    public void setOrganizationQuery(OrganizationQueryType newOrganizationQuery)

  Specified by:
    `setOrganizationQuery` in interface `DocumentRoot`
  Parameters:
    `newOrganizationQuery` - the new value of the 'Organization Query' containment reference.
  See Also:
    `DocumentRoot.getOrganizationQuery()`

### getRegistryObjectQuery

    public RegistryObjectQueryType getRegistryObjectQuery()

  Specified by:
    `getRegistryObjectQuery` in interface `DocumentRoot`
  Returns:
    the value of the 'Registry Object Query' containment reference.
  See Also:
    `DocumentRoot.setRegistryObjectQuery(RegistryObjectQueryType)`, `QueryPackage.getDocumentRoot_RegistryObjectQuery()`

### basicSetRegistryObjectQuery

    public org.eclipse.emf.common.notify.NotificationChain basicSetRegistryObjectQuery(RegistryObjectQueryType newRegistryObjectQuery,
                                                                                       org.eclipse.emf.common.notify.NotificationChain msgs)

### setRegistryObjectQuery

    public void setRegistryObjectQuery(RegistryObjectQueryType newRegistryObjectQuery)

  Specified by:
    `setRegistryObjectQuery` in interface `DocumentRoot`
  Parameters:
    `newRegistryObjectQuery` - the new value of the 'Registry Object Query' containment reference.
  See Also:
    `DocumentRoot.getRegistryObjectQuery()`

### getRegistryPackageQuery

    public RegistryPackageQueryType getRegistryPackageQuery()

  Specified by:
    `getRegistryPackageQuery` in interface `DocumentRoot`
  Returns:
    the value of the 'Registry Package Query' containment reference.
  See Also:
    `DocumentRoot.setRegistryPackageQuery(RegistryPackageQueryType)`, `QueryPackage.getDocumentRoot_RegistryPackageQuery()`

### basicSetRegistryPackageQuery

    public org.eclipse.emf.common.notify.NotificationChain basicSetRegistryPackageQuery(RegistryPackageQueryType newRegistryPackageQuery,
                                                                                        org.eclipse.emf.common.notify.NotificationChain msgs)

### setRegistryPackageQuery

    public void setRegistryPackageQuery(RegistryPackageQueryType newRegistryPackageQuery)

  Specified by:
    `setRegistryPackageQuery` in interface `DocumentRoot`
  Parameters:
    `newRegistryPackageQuery` - the new value of the 'Registry Package Query' containment reference.
  See Also:
    `DocumentRoot.getRegistryPackageQuery()`

### getRegistryQuery

    public RegistryQueryType getRegistryQuery()

  Specified by:
    `getRegistryQuery` in interface `DocumentRoot`
  Returns:
    the value of the 'Registry Query' containment reference.
  See Also:
    `DocumentRoot.setRegistryQuery(RegistryQueryType)`, `QueryPackage.getDocumentRoot_RegistryQuery()`

### basicSetRegistryQuery

    public org.eclipse.emf.common.notify.NotificationChain basicSetRegistryQuery(RegistryQueryType newRegistryQuery,
                                                                                 org.eclipse.emf.common.notify.NotificationChain msgs)

### setRegistryQuery

    public void setRegistryQuery(RegistryQueryType newRegistryQuery)

  Specified by:
    `setRegistryQuery` in interface `DocumentRoot`
  Parameters:
    `newRegistryQuery` - the new value of the 'Registry Query' containment reference.
  See Also:
    `DocumentRoot.getRegistryQuery()`

### getResponseOption

    public ResponseOptionType getResponseOption()

  Specified by:
    `getResponseOption` in interface `DocumentRoot`
  Returns:
    the value of the 'Response Option' containment reference.
  See Also:
    `DocumentRoot.setResponseOption(ResponseOptionType)`, `QueryPackage.getDocumentRoot_ResponseOption()`

### basicSetResponseOption

    public org.eclipse.emf.common.notify.NotificationChain basicSetResponseOption(ResponseOptionType newResponseOption,
                                                                                  org.eclipse.emf.common.notify.NotificationChain msgs)

### setResponseOption

    public void setResponseOption(ResponseOptionType newResponseOption)

  Specified by:
    `setResponseOption` in interface `DocumentRoot`
  Parameters:
    `newResponseOption` - the new value of the 'Response Option' containment reference.
  See Also:
    `DocumentRoot.getResponseOption()`

### getServiceBindingQuery

    public ServiceBindingQueryType getServiceBindingQuery()

  Specified by:
    `getServiceBindingQuery` in interface `DocumentRoot`
  Returns:
    the value of the 'Service Binding Query' containment reference.
  See Also:
    `DocumentRoot.setServiceBindingQuery(ServiceBindingQueryType)`, `QueryPackage.getDocumentRoot_ServiceBindingQuery()`

### basicSetServiceBindingQuery

    public org.eclipse.emf.common.notify.NotificationChain basicSetServiceBindingQuery(ServiceBindingQueryType newServiceBindingQuery,
                                                                                       org.eclipse.emf.common.notify.NotificationChain msgs)

### setServiceBindingQuery

    public void setServiceBindingQuery(ServiceBindingQueryType newServiceBindingQuery)

  Specified by:
    `setServiceBindingQuery` in interface `DocumentRoot`
  Parameters:
    `newServiceBindingQuery` - the new value of the 'Service Binding Query' containment reference.
  See Also:
    `DocumentRoot.getServiceBindingQuery()`

### getServiceQuery

    public ServiceQueryType getServiceQuery()

  Specified by:
    `getServiceQuery` in interface `DocumentRoot`
  Returns:
    the value of the 'Service Query' containment reference.
  See Also:
    `DocumentRoot.setServiceQuery(ServiceQueryType)`, `QueryPackage.getDocumentRoot_ServiceQuery()`

### basicSetServiceQuery

    public org.eclipse.emf.common.notify.NotificationChain basicSetServiceQuery(ServiceQueryType newServiceQuery,
                                                                                org.eclipse.emf.common.notify.NotificationChain msgs)

### setServiceQuery

    public void setServiceQuery(ServiceQueryType newServiceQuery)

  Specified by:
    `setServiceQuery` in interface `DocumentRoot`
  Parameters:
    `newServiceQuery` - the new value of the 'Service Query' containment reference.
  See Also:
    `DocumentRoot.getServiceQuery()`

### getSpecificationLinkQuery

    public SpecificationLinkQueryType getSpecificationLinkQuery()

  Specified by:
    `getSpecificationLinkQuery` in interface `DocumentRoot`
  Returns:
    the value of the 'Specification Link Query' containment reference.
  See Also:
    `DocumentRoot.setSpecificationLinkQuery(SpecificationLinkQueryType)`, `QueryPackage.getDocumentRoot_SpecificationLinkQuery()`

### basicSetSpecificationLinkQuery

    public org.eclipse.emf.common.notify.NotificationChain basicSetSpecificationLinkQuery(SpecificationLinkQueryType newSpecificationLinkQuery,
                                                                                          org.eclipse.emf.common.notify.NotificationChain msgs)

### setSpecificationLinkQuery

    public void setSpecificationLinkQuery(SpecificationLinkQueryType newSpecificationLinkQuery)

  Specified by:
    `setSpecificationLinkQuery` in interface `DocumentRoot`
  Parameters:
    `newSpecificationLinkQuery` - the new value of the 'Specification Link Query' containment reference.
  See Also:
    `DocumentRoot.getSpecificationLinkQuery()`

### getStringFilter

    public StringFilterType getStringFilter()

  Specified by:
    `getStringFilter` in interface `DocumentRoot`
  Returns:
    the value of the 'String Filter' containment reference.
  See Also:
    `DocumentRoot.setStringFilter(StringFilterType)`, `QueryPackage.getDocumentRoot_StringFilter()`

### basicSetStringFilter

    public org.eclipse.emf.common.notify.NotificationChain basicSetStringFilter(StringFilterType newStringFilter,
                                                                                org.eclipse.emf.common.notify.NotificationChain msgs)

### setStringFilter

    public void setStringFilter(StringFilterType newStringFilter)

  Specified by:
    `setStringFilter` in interface `DocumentRoot`
  Parameters:
    `newStringFilter` - the new value of the 'String Filter' containment reference.
  See Also:
    `DocumentRoot.getStringFilter()`

### getSubscriptionQuery

    public SubscriptionQueryType getSubscriptionQuery()

  Specified by:
    `getSubscriptionQuery` in interface `DocumentRoot`
  Returns:
    the value of the 'Subscription Query' containment reference.
  See Also:
    `DocumentRoot.setSubscriptionQuery(SubscriptionQueryType)`, `QueryPackage.getDocumentRoot_SubscriptionQuery()`

### basicSetSubscriptionQuery

    public org.eclipse.emf.common.notify.NotificationChain basicSetSubscriptionQuery(SubscriptionQueryType newSubscriptionQuery,
                                                                                     org.eclipse.emf.common.notify.NotificationChain msgs)

### setSubscriptionQuery

    public void setSubscriptionQuery(SubscriptionQueryType newSubscriptionQuery)

  Specified by:
    `setSubscriptionQuery` in interface `DocumentRoot`
  Parameters:
    `newSubscriptionQuery` - the new value of the 'Subscription Query' containment reference.
  See Also:
    `DocumentRoot.getSubscriptionQuery()`

### getUserQuery

    public UserQueryType getUserQuery()

  Specified by:
    `getUserQuery` in interface `DocumentRoot`
  Returns:
    the value of the 'User Query' containment reference.
  See Also:
    `DocumentRoot.setUserQuery(UserQueryType)`, `QueryPackage.getDocumentRoot_UserQuery()`

### basicSetUserQuery

    public org.eclipse.emf.common.notify.NotificationChain basicSetUserQuery(UserQueryType newUserQuery,
                                                                             org.eclipse.emf.common.notify.NotificationChain msgs)

### setUserQuery

    public void setUserQuery(UserQueryType newUserQuery)

  Specified by:
    `setUserQuery` in interface `DocumentRoot`
  Parameters:
    `newUserQuery` - the new value of the 'User Query' containment reference.
  See Also:
    `DocumentRoot.getUserQuery()`

### eInverseRemove

    public org.eclipse.emf.common.notify.NotificationChain eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                          int featureID,
                                                                          org.eclipse.emf.common.notify.NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eGet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eUnset` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eIsSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD